| IOLink C# 1.11.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | Properties | List of all members
IOLink.ImageInfoProperty Class Reference

This property describes the way the axes must be interpreted (IMAGE, VOLUME, SEQUENCE...) and also the composition of the image by providing : More...

Inheritance diagram for IOLink.ImageInfoProperty:

## Public Member Functions
| ImageInfoProperty (global::System.IntPtr cPtr, bool cMemoryOwn)
void | Dispose ()
override bool | Equals (object obj)
| ImageInfoProperty (ImageType axesInterpretation, ImageInterpretation interpretation, bool hasAlpha, uint bitDepth, Vector2d valueRange)
| Constructor.
| ImageInfoProperty (ImageType axesInterpretation, ImageInterpretation interpretation, bool hasAlpha, DataType dataType)
| Short constructor using the given data type standard properties to initialize with default values.
| ImageInfoProperty (DataType dataType)
| Shorter constructor using the given data type standard properties to initialize. BitDepth and value range is initialized thanks to dataType. hasAlpha property is set to False. Other properties are set to UNKNOWN.
| ImageInfoProperty (ImageType axesInterpretation, DataType dataType)
| Shorter constructor using the given Image Type and Data type standard properties hasAlpha property is set to False. Image interpretation is set to UNKNOWN.
| ImageInfoProperty (ReadonlyImageInfoProperty other)
string | ToString ()
| Return string representation.

## Static Public Member Functions
static global::System.Runtime.InteropServices.HandleRef | getCPtr (ImageInfoProperty obj)
static global::System.Runtime.InteropServices.HandleRef | swigRelease (ImageInfoProperty obj)
static bool | operator== (ImageInfoProperty v1, ImageInfoProperty v2)
static bool | operator!= (ImageInfoProperty v1, ImageInfoProperty v2)
static uint | ChannelCount (ImageInterpretation interpretation)
| Method which gives you the number of channels for one pixel in a specific ImageInterpretation.
static bool | InternalEqual (ImageInfoProperty scp1, ReadonlyImageInfoProperty scp2)

## Protected Member Functions
virtual void | Dispose (bool disposing)

## Protected Attributes
bool | swigCMemOwn

## Properties
ImageType | AxesInterpretation`[get, set]`
| The descriptions of the image's axes.
ImageInterpretation | Interpretation`[get, set]`
| The way to interpret elements' data.
bool | Alpha`[get, set]`
| Indicate if there is an alpha channel.
uint | BitDepth`[get, set]`
| The number of bits actually used in the `ImageView`'s elements.
Vector2d | ValueRange`[get, set]`
| The minimum and maximum values of the `ImageView`'s elements.

## Detailed Description

This property describes the way the axes must be interpreted (IMAGE, VOLUME, SEQUENCE...) and also the composition of the image by providing :

- its interpretation (GRAYSCALE, RGB, ...)
- the presence of a alpha channel
- the bit depth where data is stored
- the range of value of the data (It is actually the min and max values that are stored in the image)

## Constructor & Destructor Documentation

## ◆ ImageInfoProperty() [1/4]

IOLink.ImageInfoProperty.ImageInfoProperty | ( | ImageType | axesInterpretation,
|  | ImageInterpretation | interpretation,
|  | bool | hasAlpha,
|  | uint | bitDepth,
|  | Vector2d | valueRange
| ) |  |
| inline

Constructor.

Parameters

  axesInterpretation | Axes interpretation for the image
  interpretation | The image interpretation
  hasAlpha | Indicate if an Alpha channel is present
  bitDepth | Bit count effectively used to store each component of the pixel
  valueRange | Range of value of the component

## ◆ ImageInfoProperty() [2/4]

IOLink.ImageInfoProperty.ImageInfoProperty | ( | ImageType | axesInterpretation,
|  | ImageInterpretation | interpretation,
|  | bool | hasAlpha,
|  | DataType | dataType
| ) |  |
| inline

Short constructor using the given data type standard properties to initialize with default values.

Parameters

  axesInterpretation | Axes interpretation for the image
  interpretation | The image interpretation
  hasAlpha | Indicate if an Alpha channel is present
  dataType | DataType to use as reference to initialize member data.

## ◆ ImageInfoProperty() [3/4]

IOLink.ImageInfoProperty.ImageInfoProperty | ( | DataType | dataType | ) |
| inline

Shorter constructor using the given data type standard properties to initialize. BitDepth and value range is initialized thanks to dataType. hasAlpha property is set to False. Other properties are set to UNKNOWN.

Parameters

  dataType | DataType to use as reference to initialize member data.

## ◆ ImageInfoProperty() [4/4]

IOLink.ImageInfoProperty.ImageInfoProperty | ( | ImageType | axesInterpretation,
|  | DataType | dataType
| ) |  |
| inline

Shorter constructor using the given Image Type and Data type standard properties hasAlpha property is set to False. Image interpretation is set to UNKNOWN.

Parameters

  axesInterpretation | Axes interpretation for the image
  dataType | DataType to use as reference to initialize member data.

## Member Function Documentation

## ◆ ChannelCount()

static uint IOLink.ImageInfoProperty.ChannelCount | ( | ImageInterpretation | interpretation | ) |
| inline static

Method which gives you the number of channels for one pixel in a specific ImageInterpretation.

Parameters

  interpretation | ImageInterpretation for which we want to know the channel count

Returns
  the channel count corresponding to the given ImageInterpretation

The documentation for this class was generated from the following file:

- Release/net/generated/ImageInfoProperty.cs